#ifndef COMPLIB_SERVER_ODOMETRY_HPP
#define COMPLIB_SERVER_ODOMETRY_HPP

class Odometry {

public:
  Odometry();

  Odometry(double x_position, double y_position, double angular_orientation);

  double get_x_position() const;

  double get_y_position() const;

  double get_angular_orientation() const;


private:
  double x_position;
  double y_position;
  double angular_orientation;
};

#endif //COMPLIB_SERVER_ODOMETRY_HPP
